Subject: Re: bug#20481: 24.5; , Newlines in message-box output don't work on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 15:17:33 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Sat, 14 Sep 2024 20:05:03 +0800
> 
> Cecilio Pardo <[email-masked]> writes:
> 
> > I left w32_dialog_show as it was in case an implementation for
> > older versions of windows became available. I can rewrite it
> > if you think is better that way.
> 
> I don't think the improvised menu-dialogs and w32_dialog_show are
> mutually exclusive.  The latter could easily be enabled only on Windows
> Vista systems.

It already is, since on older systems we will be unable to find
TaskDialogIndirect in comctl32.dll, and will fall back to the
menu-dialog implementation.  Or what am I missing?